import { BenefitWithIdDto } from '../apis/benefits-api/benefits-api.dto';
import { PageViewedEvent } from '../apis/event-tracking-api/event-tracking-api.dto';
export declare class BenefitsEventTrackingService {
  trackAppLoadedAsync(): Promise<void>;
  trackPageViewedAsync(event: PageViewedEvent): Promise<void>;
  trackBenefitLinkClickedAsync({ benefitId, benefit }: BenefitWithIdDto): Promise<void>;
  trackBenefitAttachmentClickedAsync({ benefitId, benefit }: BenefitWithIdDto): Promise<void>;
  private trackEventAsync;
}
declare const _default: BenefitsEventTrackingService;
export default _default;
